# -*- coding: utf-8 -*-
from setuphelpers import *


""" 
https://answers.microsoft.com/windows/forum/all/problems-reverting-back-to-the-windows-10-file/488858e1-8de1-499e-8fd4-51357f716ca8

"""


def install():
    pass


def session_setup():
    registry_path = r"Software\Classes\CLSID\{86ca1aa0-34aa-4e8b-a509-50c905bae2a2}\InprocServer32"
    path_text = makepath(os.environ["temp"], "reboot_text.txt")
    username = get_current_user()
    reboot_text = f"""<html>
<h3>Hello {username},</h3>
<p>An installation has been performed on your workstation and will take effect after a reboot.</p>
<p>Have a nice day!</p>
</html>
"""

    if reg_key_exists(HKEY_CURRENT_USER, registry_path):
        print("classic context menu is already applied.")
    else:
        print(rf"Applying: classic context menu")
        run(f'reg add "HKCU\\{registry_path}" /f /ve')
        with open(path_text, "w", encoding="utf8") as file:
            file.write(reboot_text)
        try:
            run(f"waptmessage.exe -f {path_text}")
        except TimeoutExpired:
            pass
